﻿# SDK Pullenti Unitext, version 4.22, february 2024. Copyright (c) 2013, Pullenti. All rights reserved.
# Non-Commercial Freeware and Commercial Software.
# This class is generated using the converter UniSharping (www.unisharping.ru) from Pullenti C# project.
# The latest version of the code is available on the site www.pullenti.ru

from pullenti.unisharp.Utils import Utils

class PdfMiscInfo:
    
    def __init__(self) -> None:
        self.begin_pos = 0
        self.end_pos = 0
        self.total_text = None;
        self.obj = None;
        self.subitems = None
        self.tag = None;
    
    def __str__(self) -> str:
        return Utils.ifNotNull(self.total_text, "")
    
    @staticmethod
    def _new220(_arg1 : 'PdfDictionary', _arg2 : int, _arg3 : int, _arg4 : str) -> 'PdfMiscInfo':
        res = PdfMiscInfo()
        res.obj = _arg1
        res.begin_pos = _arg2
        res.end_pos = _arg3
        res.total_text = _arg4
        return res