﻿# SDK Pullenti Unitext, version 4.22, february 2024. Copyright (c) 2013, Pullenti. All rights reserved.
# Non-Commercial Freeware and Commercial Software.
# This class is generated using the converter UniSharping (www.unisharping.ru) from Pullenti C# project.
# The latest version of the code is available on the site www.pullenti.ru


class FibBase:
    
    def __init__(self) -> None:
        self.__wident = 0
        self.__nfib = 0
        self.__lid = 0
        self.__pnnext = 0
        self.__fdot = False
        self.__fglsy = False
        self.__fcomplex = False
        self.__fhaspic = False
        self.__cquicksaves = 0
        self.__fencrypted = False
        self.__fwhichtblstm = False
        self.__freadonlyrecommended = False
        self.__fwritereservation = False
        self.__fextchar = False
        self.__floadoverride = False
        self.__ffareast = False
        self.__fobfuscated = False
        self.__nfibback = 0
        self.__lkey = 0
        self.__envr = 0
        self.__fmac = False
        self.__femptyspecial = False
        self.__floadoverridepage = False
    
    @property
    def _wident(self) -> int:
        return self.__wident
    @_wident.setter
    def _wident(self, value) -> int:
        self.__wident = value
        return self.__wident
    
    @property
    def _nfib(self) -> int:
        return self.__nfib
    @_nfib.setter
    def _nfib(self, value) -> int:
        self.__nfib = value
        return self.__nfib
    
    @property
    def _lid(self) -> int:
        return self.__lid
    @_lid.setter
    def _lid(self, value) -> int:
        self.__lid = value
        return self.__lid
    
    @property
    def _pn_next(self) -> int:
        return self.__pnnext
    @_pn_next.setter
    def _pn_next(self, value) -> int:
        self.__pnnext = value
        return self.__pnnext
    
    @property
    def _fdot(self) -> bool:
        return self.__fdot
    @_fdot.setter
    def _fdot(self, value) -> bool:
        self.__fdot = value
        return self.__fdot
    
    @property
    def _fglsy(self) -> bool:
        return self.__fglsy
    @_fglsy.setter
    def _fglsy(self, value) -> bool:
        self.__fglsy = value
        return self.__fglsy
    
    @property
    def _fcomplex(self) -> bool:
        return self.__fcomplex
    @_fcomplex.setter
    def _fcomplex(self, value) -> bool:
        self.__fcomplex = value
        return self.__fcomplex
    
    @property
    def _fhas_pic(self) -> bool:
        return self.__fhaspic
    @_fhas_pic.setter
    def _fhas_pic(self, value) -> bool:
        self.__fhaspic = value
        return self.__fhaspic
    
    @property
    def _cquick_saves(self) -> int:
        return self.__cquicksaves
    @_cquick_saves.setter
    def _cquick_saves(self, value) -> int:
        self.__cquicksaves = value
        return self.__cquicksaves
    
    @property
    def _fencrypted(self) -> bool:
        return self.__fencrypted
    @_fencrypted.setter
    def _fencrypted(self, value) -> bool:
        self.__fencrypted = value
        return self.__fencrypted
    
    @property
    def _fwhich_tbl_stm(self) -> bool:
        return self.__fwhichtblstm
    @_fwhich_tbl_stm.setter
    def _fwhich_tbl_stm(self, value) -> bool:
        self.__fwhichtblstm = value
        return self.__fwhichtblstm
    
    @property
    def _fread_only_recommended(self) -> bool:
        return self.__freadonlyrecommended
    @_fread_only_recommended.setter
    def _fread_only_recommended(self, value) -> bool:
        self.__freadonlyrecommended = value
        return self.__freadonlyrecommended
    
    @property
    def _fwrite_reservation(self) -> bool:
        return self.__fwritereservation
    @_fwrite_reservation.setter
    def _fwrite_reservation(self, value) -> bool:
        self.__fwritereservation = value
        return self.__fwritereservation
    
    @property
    def _fext_char(self) -> bool:
        return self.__fextchar
    @_fext_char.setter
    def _fext_char(self, value) -> bool:
        self.__fextchar = value
        return self.__fextchar
    
    @property
    def _fload_override(self) -> bool:
        return self.__floadoverride
    @_fload_override.setter
    def _fload_override(self, value) -> bool:
        self.__floadoverride = value
        return self.__floadoverride
    
    @property
    def _ffar_east(self) -> bool:
        return self.__ffareast
    @_ffar_east.setter
    def _ffar_east(self, value) -> bool:
        self.__ffareast = value
        return self.__ffareast
    
    @property
    def _fobfuscated(self) -> bool:
        return self.__fobfuscated
    @_fobfuscated.setter
    def _fobfuscated(self, value) -> bool:
        self.__fobfuscated = value
        return self.__fobfuscated
    
    @property
    def _nfib_back(self) -> int:
        return self.__nfibback
    @_nfib_back.setter
    def _nfib_back(self, value) -> int:
        self.__nfibback = value
        return self.__nfibback
    
    @property
    def _lkey(self) -> int:
        return self.__lkey
    @_lkey.setter
    def _lkey(self, value) -> int:
        self.__lkey = value
        return self.__lkey
    
    @property
    def _envr(self) -> int:
        return self.__envr
    @_envr.setter
    def _envr(self, value) -> int:
        self.__envr = value
        return self.__envr
    
    @property
    def _fmac(self) -> bool:
        return self.__fmac
    @_fmac.setter
    def _fmac(self, value) -> bool:
        self.__fmac = value
        return self.__fmac
    
    @property
    def _fempty_special(self) -> bool:
        return self.__femptyspecial
    @_fempty_special.setter
    def _fempty_special(self, value) -> bool:
        self.__femptyspecial = value
        return self.__femptyspecial
    
    @property
    def _fload_override_page(self) -> bool:
        return self.__floadoverridepage
    @_fload_override_page.setter
    def _fload_override_page(self, value) -> bool:
        self.__floadoverridepage = value
        return self.__floadoverridepage