﻿# SDK Pullenti Unitext, version 4.22, february 2024. Copyright (c) 2013, Pullenti. All rights reserved.
# Non-Commercial Freeware and Commercial Software.
# This class is generated using the converter UniSharping (www.unisharping.ru) from Pullenti C# project.
# The latest version of the code is available on the site www.pullenti.ru


from pullenti.unitext.internal.word.FibRbFcLcb97 import FibRbFcLcb97

class FibRbFcLcb2000(FibRbFcLcb97):
    
    def __init__(self) -> None:
        super().__init__()
        self.__fcplcftch = 0
        self.__lcbplcftch = 0
        self.__fcrmdthreading = 0
        self.__lcbrmdthreading = 0
        self.__fcmid = 0
        self.__lcbmid = 0
        self.__fcsttbrgtplc = 0
        self.__lcbsttbrgtplc = 0
        self.__fcmsoenvelope = 0
        self.__lcbmsoenvelope = 0
        self.__fcplcflad = 0
        self.__lcbplcflad = 0
        self.__fcrgdofr = 0
        self.__lcbrgdofr = 0
        self.__fcplcosl = 0
        self.__lcbplcosl = 0
        self.__fcplcfcookieold = 0
        self.__lcbplcfcookieold = 0
        self.__fcpgdmotherold = 0
        self.__lcbpgdmotherold = 0
        self.__fcbkdmotherold = 0
        self.__lcbbkdmotherold = 0
        self.__fcpgdftnold = 0
        self.__lcbpgdftnold = 0
        self.__fcbkdftnold = 0
        self.__lcbbkdftnold = 0
        self.__fcpgdednold = 0
        self.__lcbpgdednold = 0
        self.__fcbkdednold = 0
        self.__lcbbkdednold = 0
    
    @property
    def _fc_plcf_tch(self) -> int:
        return self.__fcplcftch
    @_fc_plcf_tch.setter
    def _fc_plcf_tch(self, value) -> int:
        self.__fcplcftch = value
        return self.__fcplcftch
    
    @property
    def _lcb_plcf_tch(self) -> int:
        return self.__lcbplcftch
    @_lcb_plcf_tch.setter
    def _lcb_plcf_tch(self, value) -> int:
        self.__lcbplcftch = value
        return self.__lcbplcftch
    
    @property
    def _fc_rmd_threading(self) -> int:
        return self.__fcrmdthreading
    @_fc_rmd_threading.setter
    def _fc_rmd_threading(self, value) -> int:
        self.__fcrmdthreading = value
        return self.__fcrmdthreading
    
    @property
    def _lcb_rmd_threading(self) -> int:
        return self.__lcbrmdthreading
    @_lcb_rmd_threading.setter
    def _lcb_rmd_threading(self, value) -> int:
        self.__lcbrmdthreading = value
        return self.__lcbrmdthreading
    
    @property
    def _fc_mid(self) -> int:
        return self.__fcmid
    @_fc_mid.setter
    def _fc_mid(self, value) -> int:
        self.__fcmid = value
        return self.__fcmid
    
    @property
    def _lcb_mid(self) -> int:
        return self.__lcbmid
    @_lcb_mid.setter
    def _lcb_mid(self, value) -> int:
        self.__lcbmid = value
        return self.__lcbmid
    
    @property
    def _fc_sttb_rgtplc(self) -> int:
        return self.__fcsttbrgtplc
    @_fc_sttb_rgtplc.setter
    def _fc_sttb_rgtplc(self, value) -> int:
        self.__fcsttbrgtplc = value
        return self.__fcsttbrgtplc
    
    @property
    def _lcb_sttb_rgtplc(self) -> int:
        return self.__lcbsttbrgtplc
    @_lcb_sttb_rgtplc.setter
    def _lcb_sttb_rgtplc(self, value) -> int:
        self.__lcbsttbrgtplc = value
        return self.__lcbsttbrgtplc
    
    @property
    def _fc_mso_envelope(self) -> int:
        return self.__fcmsoenvelope
    @_fc_mso_envelope.setter
    def _fc_mso_envelope(self, value) -> int:
        self.__fcmsoenvelope = value
        return self.__fcmsoenvelope
    
    @property
    def _lcb_mso_envelope(self) -> int:
        return self.__lcbmsoenvelope
    @_lcb_mso_envelope.setter
    def _lcb_mso_envelope(self, value) -> int:
        self.__lcbmsoenvelope = value
        return self.__lcbmsoenvelope
    
    @property
    def _fc_plcf_lad(self) -> int:
        return self.__fcplcflad
    @_fc_plcf_lad.setter
    def _fc_plcf_lad(self, value) -> int:
        self.__fcplcflad = value
        return self.__fcplcflad
    
    @property
    def _lcb_plcf_lad(self) -> int:
        return self.__lcbplcflad
    @_lcb_plcf_lad.setter
    def _lcb_plcf_lad(self, value) -> int:
        self.__lcbplcflad = value
        return self.__lcbplcflad
    
    @property
    def _fc_rg_dofr(self) -> int:
        return self.__fcrgdofr
    @_fc_rg_dofr.setter
    def _fc_rg_dofr(self, value) -> int:
        self.__fcrgdofr = value
        return self.__fcrgdofr
    
    @property
    def _lcb_rg_dofr(self) -> int:
        return self.__lcbrgdofr
    @_lcb_rg_dofr.setter
    def _lcb_rg_dofr(self, value) -> int:
        self.__lcbrgdofr = value
        return self.__lcbrgdofr
    
    @property
    def _fc_plcosl(self) -> int:
        return self.__fcplcosl
    @_fc_plcosl.setter
    def _fc_plcosl(self, value) -> int:
        self.__fcplcosl = value
        return self.__fcplcosl
    
    @property
    def _lcb_plcosl(self) -> int:
        return self.__lcbplcosl
    @_lcb_plcosl.setter
    def _lcb_plcosl(self, value) -> int:
        self.__lcbplcosl = value
        return self.__lcbplcosl
    
    @property
    def _fc_plcf_cookie_old(self) -> int:
        return self.__fcplcfcookieold
    @_fc_plcf_cookie_old.setter
    def _fc_plcf_cookie_old(self, value) -> int:
        self.__fcplcfcookieold = value
        return self.__fcplcfcookieold
    
    @property
    def _lcb_plcf_cookie_old(self) -> int:
        return self.__lcbplcfcookieold
    @_lcb_plcf_cookie_old.setter
    def _lcb_plcf_cookie_old(self, value) -> int:
        self.__lcbplcfcookieold = value
        return self.__lcbplcfcookieold
    
    @property
    def _fc_pgd_mother_old(self) -> int:
        return self.__fcpgdmotherold
    @_fc_pgd_mother_old.setter
    def _fc_pgd_mother_old(self, value) -> int:
        self.__fcpgdmotherold = value
        return self.__fcpgdmotherold
    
    @property
    def _lcb_pgd_mother_old(self) -> int:
        return self.__lcbpgdmotherold
    @_lcb_pgd_mother_old.setter
    def _lcb_pgd_mother_old(self, value) -> int:
        self.__lcbpgdmotherold = value
        return self.__lcbpgdmotherold
    
    @property
    def _fc_bkd_mother_old(self) -> int:
        return self.__fcbkdmotherold
    @_fc_bkd_mother_old.setter
    def _fc_bkd_mother_old(self, value) -> int:
        self.__fcbkdmotherold = value
        return self.__fcbkdmotherold
    
    @property
    def _lcb_bkd_mother_old(self) -> int:
        return self.__lcbbkdmotherold
    @_lcb_bkd_mother_old.setter
    def _lcb_bkd_mother_old(self, value) -> int:
        self.__lcbbkdmotherold = value
        return self.__lcbbkdmotherold
    
    @property
    def _fc_pgd_ftn_old(self) -> int:
        return self.__fcpgdftnold
    @_fc_pgd_ftn_old.setter
    def _fc_pgd_ftn_old(self, value) -> int:
        self.__fcpgdftnold = value
        return self.__fcpgdftnold
    
    @property
    def _lcb_pgd_ftn_old(self) -> int:
        return self.__lcbpgdftnold
    @_lcb_pgd_ftn_old.setter
    def _lcb_pgd_ftn_old(self, value) -> int:
        self.__lcbpgdftnold = value
        return self.__lcbpgdftnold
    
    @property
    def _fc_bkd_ftn_old(self) -> int:
        return self.__fcbkdftnold
    @_fc_bkd_ftn_old.setter
    def _fc_bkd_ftn_old(self, value) -> int:
        self.__fcbkdftnold = value
        return self.__fcbkdftnold
    
    @property
    def _lcb_bkd_ftn_old(self) -> int:
        return self.__lcbbkdftnold
    @_lcb_bkd_ftn_old.setter
    def _lcb_bkd_ftn_old(self, value) -> int:
        self.__lcbbkdftnold = value
        return self.__lcbbkdftnold
    
    @property
    def _fc_pgd_edn_old(self) -> int:
        return self.__fcpgdednold
    @_fc_pgd_edn_old.setter
    def _fc_pgd_edn_old(self, value) -> int:
        self.__fcpgdednold = value
        return self.__fcpgdednold
    
    @property
    def _lcb_pgd_edn_old(self) -> int:
        return self.__lcbpgdednold
    @_lcb_pgd_edn_old.setter
    def _lcb_pgd_edn_old(self, value) -> int:
        self.__lcbpgdednold = value
        return self.__lcbpgdednold
    
    @property
    def _fc_bkd_edn_old(self) -> int:
        return self.__fcbkdednold
    @_fc_bkd_edn_old.setter
    def _fc_bkd_edn_old(self, value) -> int:
        self.__fcbkdednold = value
        return self.__fcbkdednold
    
    @property
    def _lcb_bkd_edn_old(self) -> int:
        return self.__lcbbkdednold
    @_lcb_bkd_edn_old.setter
    def _lcb_bkd_edn_old(self, value) -> int:
        self.__lcbbkdednold = value
        return self.__lcbbkdednold