﻿# SDK Pullenti Unitext, version 4.22, february 2024. Copyright (c) 2013, Pullenti. All rights reserved.
# Non-Commercial Freeware and Commercial Software.
# This class is generated using the converter UniSharping (www.unisharping.ru) from Pullenti C# project.
# The latest version of the code is available on the site www.pullenti.ru


from pullenti.unitext.internal.word.FibRbFcLcb2000 import FibRbFcLcb2000

class FibRbFcLcb2002(FibRbFcLcb2000):
    
    def __init__(self) -> None:
        super().__init__()
        self.__fcunused10 = 0
        self.__lcbunused10 = 0
        self.__fcplcfpgp = 0
        self.__lcbplcfpgp = 0
        self.__fcplcfuim = 0
        self.__lcbplcfuim = 0
        self.__fcplfguiduim = 0
        self.__lcbplfguiduim = 0
        self.__fcatrdextra = 0
        self.__lcbatrdextra = 0
        self.__fcplrsid = 0
        self.__lcbplrsid = 0
        self.__fcsttbfbkmkfactoid = 0
        self.__lcbsttbfbkmkfactoid = 0
        self.__fcplcfbkffactoid = 0
        self.__lcbplcfbkffactoid = 0
        self.__fcplcfcookie = 0
        self.__lcbplcfcookie = 0
        self.__fcplcfbklfactoid = 0
        self.__lcbplcfbklfactoid = 0
        self.__fcfactoiddata = 0
        self.__lcbfactoiddata = 0
        self.__fcdocundo = 0
        self.__lcbdocundo = 0
        self.__fcsttbfbkmkfcc = 0
        self.__lcbsttbfbkmkfcc = 0
        self.__fcplcfbkffcc = 0
        self.__lcbplcfbkffcc = 0
        self.__fcplcfbklfcc = 0
        self.__lcbplcfbklfcc = 0
        self.__fcsttbfbkmkbprepairs = 0
        self.__lcbsttbfbkmkbprepairs = 0
        self.__fcplcfbkfbprepairs = 0
        self.__lcbplcfbkfbprepairs = 0
        self.__fcplcfbklbprepairs = 0
        self.__lcbplcfbklbprepairs = 0
        self.__fcpmsnew = 0
        self.__lcbpmsnew = 0
        self.__fcodso = 0
        self.__lcbodso = 0
        self.__fcplcfpmioldxp = 0
        self.__lcbplcfpmioldxp = 0
        self.__fcplcfpminewxp = 0
        self.__lcbplcfpminewxp = 0
        self.__fcplcfpmimixedxp = 0
        self.__lcbplcfpmimixedxp = 0
        self.__fcunused20 = 0
        self.__lcbunused20 = 0
        self.__fcplcffactoid = 0
        self.__lcbplcffactoid = 0
        self.__fcplcflvcoldxp = 0
        self.__lcbplcflvcoldxp = 0
        self.__fcplcflvcnewxp = 0
        self.__lcbplcflvcnewxp = 0
        self.__fcplcflvcmixedxp = 0
        self.__lcbplcflvcmixedxp = 0
    
    @property
    def _fc_unused10(self) -> int:
        return self.__fcunused10
    @_fc_unused10.setter
    def _fc_unused10(self, value) -> int:
        self.__fcunused10 = value
        return self.__fcunused10
    
    @property
    def _lcb_unused10(self) -> int:
        return self.__lcbunused10
    @_lcb_unused10.setter
    def _lcb_unused10(self, value) -> int:
        self.__lcbunused10 = value
        return self.__lcbunused10
    
    @property
    def _fc_plcf_pgp(self) -> int:
        return self.__fcplcfpgp
    @_fc_plcf_pgp.setter
    def _fc_plcf_pgp(self, value) -> int:
        self.__fcplcfpgp = value
        return self.__fcplcfpgp
    
    @property
    def _lcb_plcf_pgp(self) -> int:
        return self.__lcbplcfpgp
    @_lcb_plcf_pgp.setter
    def _lcb_plcf_pgp(self, value) -> int:
        self.__lcbplcfpgp = value
        return self.__lcbplcfpgp
    
    @property
    def _fc_plcfuim(self) -> int:
        return self.__fcplcfuim
    @_fc_plcfuim.setter
    def _fc_plcfuim(self, value) -> int:
        self.__fcplcfuim = value
        return self.__fcplcfuim
    
    @property
    def _lcb_plcfuim(self) -> int:
        return self.__lcbplcfuim
    @_lcb_plcfuim.setter
    def _lcb_plcfuim(self, value) -> int:
        self.__lcbplcfuim = value
        return self.__lcbplcfuim
    
    @property
    def _fc_plfguid_uim(self) -> int:
        return self.__fcplfguiduim
    @_fc_plfguid_uim.setter
    def _fc_plfguid_uim(self, value) -> int:
        self.__fcplfguiduim = value
        return self.__fcplfguiduim
    
    @property
    def _lcb_plfguid_uim(self) -> int:
        return self.__lcbplfguiduim
    @_lcb_plfguid_uim.setter
    def _lcb_plfguid_uim(self, value) -> int:
        self.__lcbplfguiduim = value
        return self.__lcbplfguiduim
    
    @property
    def _fc_atrd_extra(self) -> int:
        return self.__fcatrdextra
    @_fc_atrd_extra.setter
    def _fc_atrd_extra(self, value) -> int:
        self.__fcatrdextra = value
        return self.__fcatrdextra
    
    @property
    def _lcb_atrd_extra(self) -> int:
        return self.__lcbatrdextra
    @_lcb_atrd_extra.setter
    def _lcb_atrd_extra(self, value) -> int:
        self.__lcbatrdextra = value
        return self.__lcbatrdextra
    
    @property
    def _fc_plrsid(self) -> int:
        return self.__fcplrsid
    @_fc_plrsid.setter
    def _fc_plrsid(self, value) -> int:
        self.__fcplrsid = value
        return self.__fcplrsid
    
    @property
    def _lcb_plrsid(self) -> int:
        return self.__lcbplrsid
    @_lcb_plrsid.setter
    def _lcb_plrsid(self, value) -> int:
        self.__lcbplrsid = value
        return self.__lcbplrsid
    
    @property
    def _fc_sttbf_bkmk_factoid(self) -> int:
        return self.__fcsttbfbkmkfactoid
    @_fc_sttbf_bkmk_factoid.setter
    def _fc_sttbf_bkmk_factoid(self, value) -> int:
        self.__fcsttbfbkmkfactoid = value
        return self.__fcsttbfbkmkfactoid
    
    @property
    def _lcb_sttbf_bkmk_factoid(self) -> int:
        return self.__lcbsttbfbkmkfactoid
    @_lcb_sttbf_bkmk_factoid.setter
    def _lcb_sttbf_bkmk_factoid(self, value) -> int:
        self.__lcbsttbfbkmkfactoid = value
        return self.__lcbsttbfbkmkfactoid
    
    @property
    def _fc_plcf_bkf_factoid(self) -> int:
        return self.__fcplcfbkffactoid
    @_fc_plcf_bkf_factoid.setter
    def _fc_plcf_bkf_factoid(self, value) -> int:
        self.__fcplcfbkffactoid = value
        return self.__fcplcfbkffactoid
    
    @property
    def _lcb_plcf_bkf_factoid(self) -> int:
        return self.__lcbplcfbkffactoid
    @_lcb_plcf_bkf_factoid.setter
    def _lcb_plcf_bkf_factoid(self, value) -> int:
        self.__lcbplcfbkffactoid = value
        return self.__lcbplcfbkffactoid
    
    @property
    def _fc_plcfcookie(self) -> int:
        return self.__fcplcfcookie
    @_fc_plcfcookie.setter
    def _fc_plcfcookie(self, value) -> int:
        self.__fcplcfcookie = value
        return self.__fcplcfcookie
    
    @property
    def _lcb_plcfcookie(self) -> int:
        return self.__lcbplcfcookie
    @_lcb_plcfcookie.setter
    def _lcb_plcfcookie(self, value) -> int:
        self.__lcbplcfcookie = value
        return self.__lcbplcfcookie
    
    @property
    def _fc_plcf_bkl_factoid(self) -> int:
        return self.__fcplcfbklfactoid
    @_fc_plcf_bkl_factoid.setter
    def _fc_plcf_bkl_factoid(self, value) -> int:
        self.__fcplcfbklfactoid = value
        return self.__fcplcfbklfactoid
    
    @property
    def _lcb_plcf_bkl_factoid(self) -> int:
        return self.__lcbplcfbklfactoid
    @_lcb_plcf_bkl_factoid.setter
    def _lcb_plcf_bkl_factoid(self, value) -> int:
        self.__lcbplcfbklfactoid = value
        return self.__lcbplcfbklfactoid
    
    @property
    def _fc_factoid_data(self) -> int:
        return self.__fcfactoiddata
    @_fc_factoid_data.setter
    def _fc_factoid_data(self, value) -> int:
        self.__fcfactoiddata = value
        return self.__fcfactoiddata
    
    @property
    def _lcb_factoid_data(self) -> int:
        return self.__lcbfactoiddata
    @_lcb_factoid_data.setter
    def _lcb_factoid_data(self, value) -> int:
        self.__lcbfactoiddata = value
        return self.__lcbfactoiddata
    
    @property
    def _fc_doc_undo(self) -> int:
        return self.__fcdocundo
    @_fc_doc_undo.setter
    def _fc_doc_undo(self, value) -> int:
        self.__fcdocundo = value
        return self.__fcdocundo
    
    @property
    def _lcb_doc_undo(self) -> int:
        return self.__lcbdocundo
    @_lcb_doc_undo.setter
    def _lcb_doc_undo(self, value) -> int:
        self.__lcbdocundo = value
        return self.__lcbdocundo
    
    @property
    def _fc_sttbf_bkmk_fcc(self) -> int:
        return self.__fcsttbfbkmkfcc
    @_fc_sttbf_bkmk_fcc.setter
    def _fc_sttbf_bkmk_fcc(self, value) -> int:
        self.__fcsttbfbkmkfcc = value
        return self.__fcsttbfbkmkfcc
    
    @property
    def _lcb_sttbf_bkmk_fcc(self) -> int:
        return self.__lcbsttbfbkmkfcc
    @_lcb_sttbf_bkmk_fcc.setter
    def _lcb_sttbf_bkmk_fcc(self, value) -> int:
        self.__lcbsttbfbkmkfcc = value
        return self.__lcbsttbfbkmkfcc
    
    @property
    def _fc_plcf_bkf_fcc(self) -> int:
        return self.__fcplcfbkffcc
    @_fc_plcf_bkf_fcc.setter
    def _fc_plcf_bkf_fcc(self, value) -> int:
        self.__fcplcfbkffcc = value
        return self.__fcplcfbkffcc
    
    @property
    def _lcb_plcf_bkf_fcc(self) -> int:
        return self.__lcbplcfbkffcc
    @_lcb_plcf_bkf_fcc.setter
    def _lcb_plcf_bkf_fcc(self, value) -> int:
        self.__lcbplcfbkffcc = value
        return self.__lcbplcfbkffcc
    
    @property
    def _fc_plcf_bkl_fcc(self) -> int:
        return self.__fcplcfbklfcc
    @_fc_plcf_bkl_fcc.setter
    def _fc_plcf_bkl_fcc(self, value) -> int:
        self.__fcplcfbklfcc = value
        return self.__fcplcfbklfcc
    
    @property
    def _lcb_plcf_bkl_fcc(self) -> int:
        return self.__lcbplcfbklfcc
    @_lcb_plcf_bkl_fcc.setter
    def _lcb_plcf_bkl_fcc(self, value) -> int:
        self.__lcbplcfbklfcc = value
        return self.__lcbplcfbklfcc
    
    @property
    def _fc_sttbfbkmkbprepairs(self) -> int:
        return self.__fcsttbfbkmkbprepairs
    @_fc_sttbfbkmkbprepairs.setter
    def _fc_sttbfbkmkbprepairs(self, value) -> int:
        self.__fcsttbfbkmkbprepairs = value
        return self.__fcsttbfbkmkbprepairs
    
    @property
    def _lcb_sttbfbkmkbprepairs(self) -> int:
        return self.__lcbsttbfbkmkbprepairs
    @_lcb_sttbfbkmkbprepairs.setter
    def _lcb_sttbfbkmkbprepairs(self, value) -> int:
        self.__lcbsttbfbkmkbprepairs = value
        return self.__lcbsttbfbkmkbprepairs
    
    @property
    def _fc_plcfbkfbprepairs(self) -> int:
        return self.__fcplcfbkfbprepairs
    @_fc_plcfbkfbprepairs.setter
    def _fc_plcfbkfbprepairs(self, value) -> int:
        self.__fcplcfbkfbprepairs = value
        return self.__fcplcfbkfbprepairs
    
    @property
    def _lcb_plcfbkfbprepairs(self) -> int:
        return self.__lcbplcfbkfbprepairs
    @_lcb_plcfbkfbprepairs.setter
    def _lcb_plcfbkfbprepairs(self, value) -> int:
        self.__lcbplcfbkfbprepairs = value
        return self.__lcbplcfbkfbprepairs
    
    @property
    def _fc_plcfbklbprepairs(self) -> int:
        return self.__fcplcfbklbprepairs
    @_fc_plcfbklbprepairs.setter
    def _fc_plcfbklbprepairs(self, value) -> int:
        self.__fcplcfbklbprepairs = value
        return self.__fcplcfbklbprepairs
    
    @property
    def _lcb_plcfbklbprepairs(self) -> int:
        return self.__lcbplcfbklbprepairs
    @_lcb_plcfbklbprepairs.setter
    def _lcb_plcfbklbprepairs(self, value) -> int:
        self.__lcbplcfbklbprepairs = value
        return self.__lcbplcfbklbprepairs
    
    @property
    def _fc_pms_new(self) -> int:
        return self.__fcpmsnew
    @_fc_pms_new.setter
    def _fc_pms_new(self, value) -> int:
        self.__fcpmsnew = value
        return self.__fcpmsnew
    
    @property
    def _lcb_pms_new(self) -> int:
        return self.__lcbpmsnew
    @_lcb_pms_new.setter
    def _lcb_pms_new(self, value) -> int:
        self.__lcbpmsnew = value
        return self.__lcbpmsnew
    
    @property
    def _fcodso(self) -> int:
        return self.__fcodso
    @_fcodso.setter
    def _fcodso(self, value) -> int:
        self.__fcodso = value
        return self.__fcodso
    
    @property
    def _lcbodso(self) -> int:
        return self.__lcbodso
    @_lcbodso.setter
    def _lcbodso(self, value) -> int:
        self.__lcbodso = value
        return self.__lcbodso
    
    @property
    def _fc_plcfpmi_oldxp(self) -> int:
        return self.__fcplcfpmioldxp
    @_fc_plcfpmi_oldxp.setter
    def _fc_plcfpmi_oldxp(self, value) -> int:
        self.__fcplcfpmioldxp = value
        return self.__fcplcfpmioldxp
    
    @property
    def _lcb_plcfpmi_oldxp(self) -> int:
        return self.__lcbplcfpmioldxp
    @_lcb_plcfpmi_oldxp.setter
    def _lcb_plcfpmi_oldxp(self, value) -> int:
        self.__lcbplcfpmioldxp = value
        return self.__lcbplcfpmioldxp
    
    @property
    def _fc_plcfpmi_newxp(self) -> int:
        return self.__fcplcfpminewxp
    @_fc_plcfpmi_newxp.setter
    def _fc_plcfpmi_newxp(self, value) -> int:
        self.__fcplcfpminewxp = value
        return self.__fcplcfpminewxp
    
    @property
    def _lcb_plcfpmi_newxp(self) -> int:
        return self.__lcbplcfpminewxp
    @_lcb_plcfpmi_newxp.setter
    def _lcb_plcfpmi_newxp(self, value) -> int:
        self.__lcbplcfpminewxp = value
        return self.__lcbplcfpminewxp
    
    @property
    def _fc_plcfpmi_mixedxp(self) -> int:
        return self.__fcplcfpmimixedxp
    @_fc_plcfpmi_mixedxp.setter
    def _fc_plcfpmi_mixedxp(self, value) -> int:
        self.__fcplcfpmimixedxp = value
        return self.__fcplcfpmimixedxp
    
    @property
    def _lcb_plcfpmi_mixedxp(self) -> int:
        return self.__lcbplcfpmimixedxp
    @_lcb_plcfpmi_mixedxp.setter
    def _lcb_plcfpmi_mixedxp(self, value) -> int:
        self.__lcbplcfpmimixedxp = value
        return self.__lcbplcfpmimixedxp
    
    @property
    def _fc_unused20(self) -> int:
        return self.__fcunused20
    @_fc_unused20.setter
    def _fc_unused20(self, value) -> int:
        self.__fcunused20 = value
        return self.__fcunused20
    
    @property
    def _lcb_unused20(self) -> int:
        return self.__lcbunused20
    @_lcb_unused20.setter
    def _lcb_unused20(self, value) -> int:
        self.__lcbunused20 = value
        return self.__lcbunused20
    
    @property
    def _fc_plcffactoid(self) -> int:
        return self.__fcplcffactoid
    @_fc_plcffactoid.setter
    def _fc_plcffactoid(self, value) -> int:
        self.__fcplcffactoid = value
        return self.__fcplcffactoid
    
    @property
    def _lcb_plcffactoid(self) -> int:
        return self.__lcbplcffactoid
    @_lcb_plcffactoid.setter
    def _lcb_plcffactoid(self, value) -> int:
        self.__lcbplcffactoid = value
        return self.__lcbplcffactoid
    
    @property
    def _fc_plcflvc_oldxp(self) -> int:
        return self.__fcplcflvcoldxp
    @_fc_plcflvc_oldxp.setter
    def _fc_plcflvc_oldxp(self, value) -> int:
        self.__fcplcflvcoldxp = value
        return self.__fcplcflvcoldxp
    
    @property
    def _lcb_plcflvc_oldxp(self) -> int:
        return self.__lcbplcflvcoldxp
    @_lcb_plcflvc_oldxp.setter
    def _lcb_plcflvc_oldxp(self, value) -> int:
        self.__lcbplcflvcoldxp = value
        return self.__lcbplcflvcoldxp
    
    @property
    def _fc_plcflvc_newxp(self) -> int:
        return self.__fcplcflvcnewxp
    @_fc_plcflvc_newxp.setter
    def _fc_plcflvc_newxp(self, value) -> int:
        self.__fcplcflvcnewxp = value
        return self.__fcplcflvcnewxp
    
    @property
    def _lcb_plcflvc_newxp(self) -> int:
        return self.__lcbplcflvcnewxp
    @_lcb_plcflvc_newxp.setter
    def _lcb_plcflvc_newxp(self, value) -> int:
        self.__lcbplcflvcnewxp = value
        return self.__lcbplcflvcnewxp
    
    @property
    def _fc_plcflvc_mixedxp(self) -> int:
        return self.__fcplcflvcmixedxp
    @_fc_plcflvc_mixedxp.setter
    def _fc_plcflvc_mixedxp(self, value) -> int:
        self.__fcplcflvcmixedxp = value
        return self.__fcplcflvcmixedxp
    
    @property
    def _lcb_plcflvc_mixedxp(self) -> int:
        return self.__lcbplcflvcmixedxp
    @_lcb_plcflvc_mixedxp.setter
    def _lcb_plcflvc_mixedxp(self, value) -> int:
        self.__lcbplcflvcmixedxp = value
        return self.__lcbplcflvcmixedxp