﻿# SDK Pullenti Unitext, version 4.22, february 2024. Copyright (c) 2013, Pullenti. All rights reserved.
# Non-Commercial Freeware and Commercial Software.
# This class is generated using the converter UniSharping (www.unisharping.ru) from Pullenti C# project.
# The latest version of the code is available on the site www.pullenti.ru


from pullenti.unitext.internal.word.FibRbFcLcb2002 import FibRbFcLcb2002

class FibRbFcLcb2003(FibRbFcLcb2002):
    
    def __init__(self) -> None:
        super().__init__()
        self.__fchplxsdr = 0
        self.__lcbhplxsdr = 0
        self.__fcsttbfbkmksdt = 0
        self.__lcbsttbfbkmksdt = 0
        self.__fcplcfbkfsdt = 0
        self.__lcbplcfbkfsdt = 0
        self.__fcplcfbklsdt = 0
        self.__lcbplcfbklsdt = 0
        self.__fccustomxform = 0
        self.__lcbcustomxform = 0
        self.__fcsttbfbkmkprot = 0
        self.__lcbsttbfbkmkprot = 0
        self.__fcplcfbkfprot = 0
        self.__lcbplcfbkfprot = 0
        self.__fcplcfbklprot = 0
        self.__lcbplcfbklprot = 0
        self.__fcsttbprotuser = 0
        self.__lcbsttbprotuser = 0
        self.__fcunused = 0
        self.__lcbunused = 0
        self.__fcplcfpmiold = 0
        self.__lcbplcfpmiold = 0
        self.__fcplcfpmioldinline = 0
        self.__lcbplcfpmioldinline = 0
        self.__fcplcfpminew = 0
        self.__lcbplcfpminew = 0
        self.__fcplcfpminewinline = 0
        self.__lcbplcfpminewinline = 0
        self.__fcplcflvcold = 0
        self.__lcbplcflvcold = 0
        self.__fcplcflvcoldinline = 0
        self.__lcbplcflvcoldinline = 0
        self.__fcplcflvcnew = 0
        self.__lcbplcflvcnew = 0
        self.__fcplcflvcnewinline = 0
        self.__lcbplcflvcnewinline = 0
        self.__fcpgdmother = 0
        self.__lcbpgdmother = 0
        self.__fcbkdmother = 0
        self.__lcbbkdmother = 0
        self.__fcafdmother = 0
        self.__lcbafdmother = 0
        self.__fcpgdftn = 0
        self.__lcbpgdftn = 0
        self.__fcbkdftn = 0
        self.__lcbbkdftn = 0
        self.__fcafdftn = 0
        self.__lcbafdftn = 0
        self.__fcpgdedn = 0
        self.__lcbpgdedn = 0
        self.__fcbkdedn = 0
        self.__lcbbkdedn = 0
        self.__fcafdedn = 0
        self.__lcbafdedn = 0
        self.__fcafd = 0
        self.__lcbafd = 0
    
    @property
    def _fc_hplxsdr(self) -> int:
        return self.__fchplxsdr
    @_fc_hplxsdr.setter
    def _fc_hplxsdr(self, value) -> int:
        self.__fchplxsdr = value
        return self.__fchplxsdr
    
    @property
    def _lcb_hplxsdr(self) -> int:
        return self.__lcbhplxsdr
    @_lcb_hplxsdr.setter
    def _lcb_hplxsdr(self, value) -> int:
        self.__lcbhplxsdr = value
        return self.__lcbhplxsdr
    
    @property
    def _fc_sttbf_bkmk_sdt(self) -> int:
        return self.__fcsttbfbkmksdt
    @_fc_sttbf_bkmk_sdt.setter
    def _fc_sttbf_bkmk_sdt(self, value) -> int:
        self.__fcsttbfbkmksdt = value
        return self.__fcsttbfbkmksdt
    
    @property
    def _lcb_sttbf_bkmk_sdt(self) -> int:
        return self.__lcbsttbfbkmksdt
    @_lcb_sttbf_bkmk_sdt.setter
    def _lcb_sttbf_bkmk_sdt(self, value) -> int:
        self.__lcbsttbfbkmksdt = value
        return self.__lcbsttbfbkmksdt
    
    @property
    def _fc_plcf_bkf_sdt(self) -> int:
        return self.__fcplcfbkfsdt
    @_fc_plcf_bkf_sdt.setter
    def _fc_plcf_bkf_sdt(self, value) -> int:
        self.__fcplcfbkfsdt = value
        return self.__fcplcfbkfsdt
    
    @property
    def _lcb_plcf_bkf_sdt(self) -> int:
        return self.__lcbplcfbkfsdt
    @_lcb_plcf_bkf_sdt.setter
    def _lcb_plcf_bkf_sdt(self, value) -> int:
        self.__lcbplcfbkfsdt = value
        return self.__lcbplcfbkfsdt
    
    @property
    def _fc_plcf_bkl_sdt(self) -> int:
        return self.__fcplcfbklsdt
    @_fc_plcf_bkl_sdt.setter
    def _fc_plcf_bkl_sdt(self, value) -> int:
        self.__fcplcfbklsdt = value
        return self.__fcplcfbklsdt
    
    @property
    def _lcb_plcf_bkl_sdt(self) -> int:
        return self.__lcbplcfbklsdt
    @_lcb_plcf_bkl_sdt.setter
    def _lcb_plcf_bkl_sdt(self, value) -> int:
        self.__lcbplcfbklsdt = value
        return self.__lcbplcfbklsdt
    
    @property
    def _fc_custom_xform(self) -> int:
        return self.__fccustomxform
    @_fc_custom_xform.setter
    def _fc_custom_xform(self, value) -> int:
        self.__fccustomxform = value
        return self.__fccustomxform
    
    @property
    def _lcb_custom_xform(self) -> int:
        return self.__lcbcustomxform
    @_lcb_custom_xform.setter
    def _lcb_custom_xform(self, value) -> int:
        self.__lcbcustomxform = value
        return self.__lcbcustomxform
    
    @property
    def _fc_sttbf_bkmk_prot(self) -> int:
        return self.__fcsttbfbkmkprot
    @_fc_sttbf_bkmk_prot.setter
    def _fc_sttbf_bkmk_prot(self, value) -> int:
        self.__fcsttbfbkmkprot = value
        return self.__fcsttbfbkmkprot
    
    @property
    def _lcb_sttbf_bkmk_prot(self) -> int:
        return self.__lcbsttbfbkmkprot
    @_lcb_sttbf_bkmk_prot.setter
    def _lcb_sttbf_bkmk_prot(self, value) -> int:
        self.__lcbsttbfbkmkprot = value
        return self.__lcbsttbfbkmkprot
    
    @property
    def _fc_plcf_bkf_prot(self) -> int:
        return self.__fcplcfbkfprot
    @_fc_plcf_bkf_prot.setter
    def _fc_plcf_bkf_prot(self, value) -> int:
        self.__fcplcfbkfprot = value
        return self.__fcplcfbkfprot
    
    @property
    def _lcb_plcf_bkf_prot(self) -> int:
        return self.__lcbplcfbkfprot
    @_lcb_plcf_bkf_prot.setter
    def _lcb_plcf_bkf_prot(self, value) -> int:
        self.__lcbplcfbkfprot = value
        return self.__lcbplcfbkfprot
    
    @property
    def _fc_plcf_bkl_prot(self) -> int:
        return self.__fcplcfbklprot
    @_fc_plcf_bkl_prot.setter
    def _fc_plcf_bkl_prot(self, value) -> int:
        self.__fcplcfbklprot = value
        return self.__fcplcfbklprot
    
    @property
    def _lcb_plcf_bkl_prot(self) -> int:
        return self.__lcbplcfbklprot
    @_lcb_plcf_bkl_prot.setter
    def _lcb_plcf_bkl_prot(self, value) -> int:
        self.__lcbplcfbklprot = value
        return self.__lcbplcfbklprot
    
    @property
    def _fc_sttb_prot_user(self) -> int:
        return self.__fcsttbprotuser
    @_fc_sttb_prot_user.setter
    def _fc_sttb_prot_user(self, value) -> int:
        self.__fcsttbprotuser = value
        return self.__fcsttbprotuser
    
    @property
    def _lcb_sttb_prot_user(self) -> int:
        return self.__lcbsttbprotuser
    @_lcb_sttb_prot_user.setter
    def _lcb_sttb_prot_user(self, value) -> int:
        self.__lcbsttbprotuser = value
        return self.__lcbsttbprotuser
    
    @property
    def _fc_unused(self) -> int:
        return self.__fcunused
    @_fc_unused.setter
    def _fc_unused(self, value) -> int:
        self.__fcunused = value
        return self.__fcunused
    
    @property
    def _lcb_unused(self) -> int:
        return self.__lcbunused
    @_lcb_unused.setter
    def _lcb_unused(self, value) -> int:
        self.__lcbunused = value
        return self.__lcbunused
    
    @property
    def _fc_plcfpmi_old(self) -> int:
        return self.__fcplcfpmiold
    @_fc_plcfpmi_old.setter
    def _fc_plcfpmi_old(self, value) -> int:
        self.__fcplcfpmiold = value
        return self.__fcplcfpmiold
    
    @property
    def _lcb_plcfpmi_old(self) -> int:
        return self.__lcbplcfpmiold
    @_lcb_plcfpmi_old.setter
    def _lcb_plcfpmi_old(self, value) -> int:
        self.__lcbplcfpmiold = value
        return self.__lcbplcfpmiold
    
    @property
    def _fc_plcfpmi_old_inline(self) -> int:
        return self.__fcplcfpmioldinline
    @_fc_plcfpmi_old_inline.setter
    def _fc_plcfpmi_old_inline(self, value) -> int:
        self.__fcplcfpmioldinline = value
        return self.__fcplcfpmioldinline
    
    @property
    def _lcb_plcfpmi_old_inline(self) -> int:
        return self.__lcbplcfpmioldinline
    @_lcb_plcfpmi_old_inline.setter
    def _lcb_plcfpmi_old_inline(self, value) -> int:
        self.__lcbplcfpmioldinline = value
        return self.__lcbplcfpmioldinline
    
    @property
    def _fc_plcfpmi_new(self) -> int:
        return self.__fcplcfpminew
    @_fc_plcfpmi_new.setter
    def _fc_plcfpmi_new(self, value) -> int:
        self.__fcplcfpminew = value
        return self.__fcplcfpminew
    
    @property
    def _lcb_plcfpmi_new(self) -> int:
        return self.__lcbplcfpminew
    @_lcb_plcfpmi_new.setter
    def _lcb_plcfpmi_new(self, value) -> int:
        self.__lcbplcfpminew = value
        return self.__lcbplcfpminew
    
    @property
    def _fc_plcfpmi_new_inline(self) -> int:
        return self.__fcplcfpminewinline
    @_fc_plcfpmi_new_inline.setter
    def _fc_plcfpmi_new_inline(self, value) -> int:
        self.__fcplcfpminewinline = value
        return self.__fcplcfpminewinline
    
    @property
    def _lcb_plcfpmi_new_inline(self) -> int:
        return self.__lcbplcfpminewinline
    @_lcb_plcfpmi_new_inline.setter
    def _lcb_plcfpmi_new_inline(self, value) -> int:
        self.__lcbplcfpminewinline = value
        return self.__lcbplcfpminewinline
    
    @property
    def _fc_plcflvc_old(self) -> int:
        return self.__fcplcflvcold
    @_fc_plcflvc_old.setter
    def _fc_plcflvc_old(self, value) -> int:
        self.__fcplcflvcold = value
        return self.__fcplcflvcold
    
    @property
    def _lcb_plcflvc_old(self) -> int:
        return self.__lcbplcflvcold
    @_lcb_plcflvc_old.setter
    def _lcb_plcflvc_old(self, value) -> int:
        self.__lcbplcflvcold = value
        return self.__lcbplcflvcold
    
    @property
    def _fc_plcflvc_old_inline(self) -> int:
        return self.__fcplcflvcoldinline
    @_fc_plcflvc_old_inline.setter
    def _fc_plcflvc_old_inline(self, value) -> int:
        self.__fcplcflvcoldinline = value
        return self.__fcplcflvcoldinline
    
    @property
    def _lcb_plcflvc_old_inline(self) -> int:
        return self.__lcbplcflvcoldinline
    @_lcb_plcflvc_old_inline.setter
    def _lcb_plcflvc_old_inline(self, value) -> int:
        self.__lcbplcflvcoldinline = value
        return self.__lcbplcflvcoldinline
    
    @property
    def _fc_plcflvc_new(self) -> int:
        return self.__fcplcflvcnew
    @_fc_plcflvc_new.setter
    def _fc_plcflvc_new(self, value) -> int:
        self.__fcplcflvcnew = value
        return self.__fcplcflvcnew
    
    @property
    def _lcb_plcflvc_new(self) -> int:
        return self.__lcbplcflvcnew
    @_lcb_plcflvc_new.setter
    def _lcb_plcflvc_new(self, value) -> int:
        self.__lcbplcflvcnew = value
        return self.__lcbplcflvcnew
    
    @property
    def _fc_plcflvc_new_inline(self) -> int:
        return self.__fcplcflvcnewinline
    @_fc_plcflvc_new_inline.setter
    def _fc_plcflvc_new_inline(self, value) -> int:
        self.__fcplcflvcnewinline = value
        return self.__fcplcflvcnewinline
    
    @property
    def _lcb_plcflvc_new_inline(self) -> int:
        return self.__lcbplcflvcnewinline
    @_lcb_plcflvc_new_inline.setter
    def _lcb_plcflvc_new_inline(self, value) -> int:
        self.__lcbplcflvcnewinline = value
        return self.__lcbplcflvcnewinline
    
    @property
    def _fc_pgd_mother(self) -> int:
        return self.__fcpgdmother
    @_fc_pgd_mother.setter
    def _fc_pgd_mother(self, value) -> int:
        self.__fcpgdmother = value
        return self.__fcpgdmother
    
    @property
    def _lcb_pgd_mother(self) -> int:
        return self.__lcbpgdmother
    @_lcb_pgd_mother.setter
    def _lcb_pgd_mother(self, value) -> int:
        self.__lcbpgdmother = value
        return self.__lcbpgdmother
    
    @property
    def _fc_bkd_mother(self) -> int:
        return self.__fcbkdmother
    @_fc_bkd_mother.setter
    def _fc_bkd_mother(self, value) -> int:
        self.__fcbkdmother = value
        return self.__fcbkdmother
    
    @property
    def _lcb_bkd_mother(self) -> int:
        return self.__lcbbkdmother
    @_lcb_bkd_mother.setter
    def _lcb_bkd_mother(self, value) -> int:
        self.__lcbbkdmother = value
        return self.__lcbbkdmother
    
    @property
    def _fc_afd_mother(self) -> int:
        return self.__fcafdmother
    @_fc_afd_mother.setter
    def _fc_afd_mother(self, value) -> int:
        self.__fcafdmother = value
        return self.__fcafdmother
    
    @property
    def _lcb_afd_mother(self) -> int:
        return self.__lcbafdmother
    @_lcb_afd_mother.setter
    def _lcb_afd_mother(self, value) -> int:
        self.__lcbafdmother = value
        return self.__lcbafdmother
    
    @property
    def _fc_pgd_ftn(self) -> int:
        return self.__fcpgdftn
    @_fc_pgd_ftn.setter
    def _fc_pgd_ftn(self, value) -> int:
        self.__fcpgdftn = value
        return self.__fcpgdftn
    
    @property
    def _lcb_pgd_ftn(self) -> int:
        return self.__lcbpgdftn
    @_lcb_pgd_ftn.setter
    def _lcb_pgd_ftn(self, value) -> int:
        self.__lcbpgdftn = value
        return self.__lcbpgdftn
    
    @property
    def _fc_bkd_ftn(self) -> int:
        return self.__fcbkdftn
    @_fc_bkd_ftn.setter
    def _fc_bkd_ftn(self, value) -> int:
        self.__fcbkdftn = value
        return self.__fcbkdftn
    
    @property
    def _lcb_bkd_ftn(self) -> int:
        return self.__lcbbkdftn
    @_lcb_bkd_ftn.setter
    def _lcb_bkd_ftn(self, value) -> int:
        self.__lcbbkdftn = value
        return self.__lcbbkdftn
    
    @property
    def _fc_afd_ftn(self) -> int:
        return self.__fcafdftn
    @_fc_afd_ftn.setter
    def _fc_afd_ftn(self, value) -> int:
        self.__fcafdftn = value
        return self.__fcafdftn
    
    @property
    def _lcb_afd_ftn(self) -> int:
        return self.__lcbafdftn
    @_lcb_afd_ftn.setter
    def _lcb_afd_ftn(self, value) -> int:
        self.__lcbafdftn = value
        return self.__lcbafdftn
    
    @property
    def _fc_pgd_edn(self) -> int:
        return self.__fcpgdedn
    @_fc_pgd_edn.setter
    def _fc_pgd_edn(self, value) -> int:
        self.__fcpgdedn = value
        return self.__fcpgdedn
    
    @property
    def _lcb_pgd_edn(self) -> int:
        return self.__lcbpgdedn
    @_lcb_pgd_edn.setter
    def _lcb_pgd_edn(self, value) -> int:
        self.__lcbpgdedn = value
        return self.__lcbpgdedn
    
    @property
    def _fc_bkd_edn(self) -> int:
        return self.__fcbkdedn
    @_fc_bkd_edn.setter
    def _fc_bkd_edn(self, value) -> int:
        self.__fcbkdedn = value
        return self.__fcbkdedn
    
    @property
    def _lcb_bkd_edn(self) -> int:
        return self.__lcbbkdedn
    @_lcb_bkd_edn.setter
    def _lcb_bkd_edn(self, value) -> int:
        self.__lcbbkdedn = value
        return self.__lcbbkdedn
    
    @property
    def _fc_afd_edn(self) -> int:
        return self.__fcafdedn
    @_fc_afd_edn.setter
    def _fc_afd_edn(self, value) -> int:
        self.__fcafdedn = value
        return self.__fcafdedn
    
    @property
    def _lcb_afd_edn(self) -> int:
        return self.__lcbafdedn
    @_lcb_afd_edn.setter
    def _lcb_afd_edn(self, value) -> int:
        self.__lcbafdedn = value
        return self.__lcbafdedn
    
    @property
    def _fc_afd(self) -> int:
        return self.__fcafd
    @_fc_afd.setter
    def _fc_afd(self, value) -> int:
        self.__fcafd = value
        return self.__fcafd
    
    @property
    def _lcb_afd(self) -> int:
        return self.__lcbafd
    @_lcb_afd.setter
    def _lcb_afd(self, value) -> int:
        self.__lcbafd = value
        return self.__lcbafd